
function get_zz_str_sub(title,reg,err,fun,obj,on_click)
{
reg=reg.replace(/'/g,"{`}");
err=err.replace(/'/g,"\\'");
var s=" <a title='"+title+"'  fun='"+fun+"' reg='"+reg+"'  obj='"+obj+"'  w='"+err+"' href=#ytd; onClick='"+on_click+"'>"+title+"</a><br/> ";
return s;
}
function get_zz_str()
{
var s="",title,fun,obj,err,on_click
title="任何值";
reg="/^[^.]*$/";
err="任何值";
fun="myc";
obj="this";
on_click="write_demo(this)";
s+=get_zz_str_sub(title,reg,err,fun,obj,on_click);
title="邮箱格式";
reg="/^[^\\.@]+@[^\\.@]+\\.[a-z]+$/";
err="您填写的[邮箱]格式不正确！如：yinteda@163.com";
fun="myc";
obj="this";
on_click="write_demo(this)";
s+=get_zz_str_sub(title,reg,err,fun,obj,on_click);
title="QQ号码格式";
reg="/^[1-9]{1}\\d{4,9}$/";
err="您填写的[QQ号码]格式不正确！";
fun="myc";
obj="this";
on_click="write_demo(this)";
s+=get_zz_str_sub(title,reg,err,fun,obj,on_click);
title="电话号码格式";
reg="/^0\\d{2}-\\d{7}|0\\d{2}-\\d{8}|0\\d{3}-\\d{7}|0\\d{3}-\\d{8}$/";
err="您填写的[电话号码]格式不正确！正确格式如：0755-87654321";
fun="myc";
obj="this";
on_click="write_demo(this)";
s+=get_zz_str_sub(title,reg,err,fun,obj,on_click);
title="传真号码格式";
reg="/^0\\d{2}-\\d{7}|0\\d{2}-\\d{8}|0\\d{3}-\\d{7}|0\\d{3}-\\d{8}$/";
err="您填写的[传真号码]格式不正确！正确格式如：0755-87654321";
fun="myc";
obj="this";
on_click="write_demo(this)";
s+=get_zz_str_sub(title,reg,err,fun,obj,on_click);
title="手机号码格式";
reg="/^1[\\d]{10}$/";
err="您填写的[手机号码]格式不正确！";
fun="myc";
obj="this";
on_click="write_demo(this)";
s+=get_zz_str_sub(title,reg,err,fun,obj,on_click);
title="身份证码格式";
reg="/^[1-9]\\d{5}[1-9]\\d{3}((0\\d)|(1[0-2]))(([0|1|2]\\d)|3[0-1])\\d{3}([0-9xX])$/";
err="您填写的[身份证号码]格式不正确！";
fun="myc";
obj="this";
on_click="write_demo(this)";
s+=get_zz_str_sub(title,reg,err,fun,obj,on_click);
title="邮政编码格式";
reg="/^[1-9]\\d{5}$/";
err="您填写的[邮政编码]格式不正确！";
fun="myc";
obj="this";
on_click="write_demo(this)";
s+=get_zz_str_sub(title,reg,err,fun,obj,on_click);
title="非负整数";
reg="/^\\d+$/";
err="您填写的[非负整数]格式不正确！";
fun="myc";
obj="this";
on_click="write_demo(this)";
s+=get_zz_str_sub(title,reg,err,fun,obj,on_click);
title="正整数";
reg="^[0-9]*[1-9][0-9]*$/";
err="您填写的[正整数]格式不正确！";
fun="myc";
obj="this";
on_click="write_demo(this)";
s+=get_zz_str_sub(title,reg,err,fun,obj,on_click);
title="非正整数";
reg="/^((-\\d+)|(0+))$/";
err="您填写的[非正整数]格式不正确！";
fun="myc";
obj="this";
on_click="write_demo(this)";
s+=get_zz_str_sub(title,reg,err,fun,obj,on_click);
title="负整数";
reg="/^-[0-9]*[1-9][0-9]*$/";
err="您填写的[负整数]格式不正确！";
fun="myc";
obj="this";
on_click="write_demo(this)";
s+=get_zz_str_sub(title,reg,err,fun,obj,on_click);
title="整数";
reg="/^-?\\d+$/";
err="您填写的[整数]格式不正确！";
fun="myc";
obj="this";
on_click="write_demo(this)";
s+=get_zz_str_sub(title,reg,err,fun,obj,on_click);
title="正浮点数";
reg="/^((0-9)+\\.[0-9]*[1-9][0-9]*)|([0-9]*[1-9][0-9]*\\.[0-9]+)|([0-9]*[1-9][0-9]*))$/";
err="您填写的[正浮点数]格式不正确！";
fun="myc";
obj="this";
on_click="write_demo(this)";
s+=get_zz_str_sub(title,reg,err,fun,obj,on_click);
title="英文字符串";
reg="/^[A-Za-z]+$/";
err="您填写的[英文字符串]格式不正确！";
fun="myc";
obj="this";
on_click="write_demo(this)";
s+=get_zz_str_sub(title,reg,err,fun,obj,on_click);
title="英文大写串";
reg="/^[A-Z]+$/";
err="您填写的[英文大写串]格式不正确！";
fun="myc";
obj="this";
on_click="write_demo(this)";
s+=get_zz_str_sub(title,reg,err,fun,obj,on_click);
title="英文小写串";
reg="/^[a-z]+$/";
err="您填写的[英文小写串]格式不正确！";
fun="myc";
obj="this";
on_click="write_demo(this)";
s+=get_zz_str_sub(title,reg,err,fun,obj,on_click);
title="英文字符数字串";
reg="/^[A-Za-z0-9]+$/";
err="您填写的[英文字符数字串]格式不正确！";
fun="myc";
obj="this";
on_click="write_demo(this)";
s+=get_zz_str_sub(title,reg,err,fun,obj,on_click);
title="网址";
reg="/^(((http[s]?:\\/\\/)([\\w\\\\d\\-]{1,128}))|(www))\\.([\\w\\d\\-]{1,128})(.*)$/";
err="您填写的[网址]格式不正确。要以http://或https://或www开头！";
fun="myc";
obj="this";
on_click="write_demo(this)";
s+=get_zz_str_sub(title,reg,err,fun,obj,on_click);;
title="中文";
reg="/^[\\u0391-\\uFFE5]+$/";
err="您填写的[中文]格式不正确！";
fun="myc";
obj="this";
on_click="write_demo(this)";
s+=get_zz_str_sub(title,reg,err,fun,obj,on_click);
title="双字节字符(包括汉字在内)";
reg="/^\\x00-\\xff$/";
err="您填写的[双字节字符(包括汉字在内)]格式不正确！";
fun="myc";
obj="this";
on_click="write_demo(this)";
s+=get_zz_str_sub(title,reg,err,fun,obj,on_click);
title="IP地址";
reg="/^(\\d+)\\.(\\d+)\\.(\\d+)\\.(\\d+)$/";
err="您填写的[IP地址]格式不正确！";
fun="myc";
obj="this";
on_click="write_demo(this)";
s+=get_zz_str_sub(title,reg,err,fun,obj,on_click);
title="中国手机号码";
reg="/^(86)*0*13\\d{9}$/";
err="您填写的[中国手机号码]格式不正确！";
fun="myc";
obj="this";
on_click="write_demo(this)";
s+=get_zz_str_sub(title,reg,err,fun,obj,on_click);
title="浮点数(即小数)";
reg="/^(-?\\d*)\\.?\\d+$/";
err="您填写的[浮点数]格式不正确！";
fun="myc";
obj="this";
on_click="write_demo(this)";
s+=get_zz_str_sub(title,reg,err,fun,obj,on_click);
title="银行卡账号";
reg="/^\\d{19}$/";
err="您填写的[银行卡账号]格式不正确！";
fun="myc";
obj="this";
on_click="write_demo(this)";
s+=get_zz_str_sub(title,reg,err,fun,obj,on_click);
title="计算文本框的值";
reg="`$文本框1的id+$文本框2的id`";
err="not";
fun="box_jiSuan";
obj="`$得到值文本框id`";
on_click="write_demo(this)";
s+=get_zz_str_sub(title,reg,err,fun,obj,on_click);
return s;
}